Android सुरक्षा बुलेटिन—जून 2022

संग्रह की मदद से व्यवस्थित रहें अपनी प्राथमिकताओं के आधार पर, कॉन्टेंट को सेव करें और कैटगरी में बांटें.
6 जून, 2022 को प्रकाशित | 22 जुलाई, 2022 को अपडेट किया गया

Android सुरक्षा बुलेटिन में Android उपकरणों को प्रभावित करने वाली सुरक्षा कमजोरियों का विवरण होता है। 2022-06-05 या बाद के सुरक्षा पैच स्तर इन सभी मुद्दों को संबोधित करते हैं। किसी डिवाइस के सुरक्षा पैच स्तर की जांच करने का तरीका जानने के लिए, अपना Android संस्करण जांचें और अपडेट करें देखें.

प्रकाशन से कम से कम एक महीने पहले Android भागीदारों को सभी मुद्दों के बारे में सूचित किया जाता है। इन मुद्दों के लिए स्रोत कोड पैच एंड्रॉइड ओपन सोर्स प्रोजेक्ट (एओएसपी) रिपोजिटरी में जारी किए गए हैं और इस बुलेटिन से जुड़े हुए हैं। इस बुलेटिन में एओएसपी के बाहर पैच के लिंक भी शामिल हैं।

इन मुद्दों में सबसे गंभीर सिस्टम घटक में एक महत्वपूर्ण सुरक्षा भेद्यता है जो बिना किसी अतिरिक्त निष्पादन विशेषाधिकार के रिमोट कोड निष्पादन की ओर ले जा सकती है। गंभीरता का आकलन इस प्रभाव पर आधारित है कि भेद्यता का शोषण संभवतः एक प्रभावित डिवाइस पर होगा, यह मानते हुए कि प्लेटफॉर्म और सेवा शमन को विकास उद्देश्यों के लिए बंद कर दिया गया है या सफलतापूर्वक बायपास कर दिया गया है।

Android सुरक्षा प्लेटफ़ॉर्म सुरक्षा और Google Play प्रोटेक्ट पर विवरण के लिए Android और Google Play प्रोटेक्ट मिटिगेशन अनुभाग देखें, जो Android प्लेटफ़ॉर्म की सुरक्षा में सुधार करते हैं।

Android और Google सेवा में कमी

यह Android सुरक्षा प्लेटफ़ॉर्म और Google Play Protect जैसी सेवा सुरक्षा द्वारा प्रदान किए गए शमन का सारांश है। ये क्षमताएं इस संभावना को कम करती हैं कि Android पर सुरक्षा कमजोरियों का सफलतापूर्वक शोषण किया जा सकता है।

  • एंड्रॉइड प्लेटफॉर्म के नए संस्करणों में एन्हांसमेंट द्वारा एंड्रॉइड पर कई मुद्दों के लिए शोषण को और अधिक कठिन बना दिया गया है। हम सभी उपयोगकर्ताओं को जहां संभव हो, Android के नवीनतम संस्करण में अपडेट करने के लिए प्रोत्साहित करते हैं।
  • एंड्रॉइड सुरक्षा टीम सक्रिय रूप से Google Play Protect के माध्यम से दुरुपयोग की निगरानी करती है और उपयोगकर्ताओं को संभावित रूप से हानिकारक एप्लिकेशन के बारे में चेतावनी देती है। Google Play Protect Google मोबाइल सेवाओं वाले उपकरणों पर डिफ़ॉल्ट रूप से सक्षम होता है, और यह उन उपयोगकर्ताओं के लिए विशेष रूप से महत्वपूर्ण है जो Google Play के बाहर से ऐप्स इंस्टॉल करते हैं।

2022-06-01 सुरक्षा पैच स्तर की भेद्यता विवरण

नीचे दिए गए अनुभागों में, हम 2022-06-01 पैच स्तर पर लागू होने वाली प्रत्येक सुरक्षा भेद्यता के लिए विवरण प्रदान करते हैं। कमजोरियों को उनके द्वारा प्रभावित घटक के अंतर्गत वर्गीकृत किया जाता है। समस्याओं को नीचे दी गई तालिका में वर्णित किया गया है और इसमें सीवीई आईडी, संबद्ध संदर्भ, भेद्यता का प्रकार , गंभीरता और अद्यतन एओएसपी संस्करण (जहां लागू हो) शामिल हैं। उपलब्ध होने पर, हम उस सार्वजनिक परिवर्तन को जोड़ते हैं जिसने समस्या को बग आईडी से संबोधित किया, जैसे AOSP परिवर्तन सूची। जब एक से अधिक परिवर्तन एक बग से संबंधित होते हैं, तो अतिरिक्त संदर्भ बग आईडी के बाद की संख्याओं से जुड़े होते हैं। Android 10 और बाद के संस्करण वाले डिवाइस सुरक्षा अपडेट के साथ-साथ Google Play सिस्टम अपडेट प्राप्त कर सकते हैं।

रूपरेखा

इस खंड में सबसे गंभीर भेद्यता विशेषाधिकार की स्थानीय वृद्धि का कारण बन सकती है, जिसमें अतिरिक्त निष्पादन विशेषाधिकारों की आवश्यकता नहीं है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2021-39691 ए-157929241 ईओपी उच्च 10, 11, 12
सीवीई-2022-20006 ए-151095871 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-125 ए-194402515 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-138 ए-210469972 [ 2 ] ईओपी उच्च 10, 11, 12, 12एल

मीडिया फ्रेमवर्क

इस खंड में भेद्यता रिमोट कोड निष्पादन की ओर ले जा सकती है, जिसमें अतिरिक्त निष्पादन विशेषाधिकारों की आवश्यकता नहीं है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2022-130 ए-224314979 आरसीई नाजुक 10, 11, 12, 12एल

व्यवस्था

इस खंड में सबसे गंभीर भेद्यता रिमोट कोड निष्पादन की ओर ले जा सकती है, जिसमें अतिरिक्त निष्पादन विशेषाधिकारों की आवश्यकता नहीं है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2022-20127 ए-221862119 आरसीई नाजुक 10, 11, 12, 12एल
सीवीई-2022-140 ए-227618988 ईओपी नाजुक 12, 12एल
सीवीई-2022-145 ए-201660636 ईओपी नाजुक 1 1
सीवीई-2022-20126 ए-203431023 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-133 ए-206807679 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-134 ए-218341397 [ 2 ] ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-20135 ए-220303465 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-20137 ए-206986392 ईओपी उच्च 12, 12एल
सीवीई-2022-20142 ए-216631962 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-147 ए-221216105 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-123 ए-221852424 पहचान उच्च 10, 11, 12, 12एल
सीवीई-2022-20131 ए-221856662 पहचान उच्च 10, 11, 12, 12एल
सीवीई-2022-20129 ए-217934478 [ 2 ] करने योग्य उच्च 10, 11, 12, 12एल
सीवीई-2022-143 ए-220735360 करने योग्य उच्च 10, 11, 12, 12एल

Google Play सिस्टम अपडेट

निम्नलिखित मुद्दे प्रोजेक्ट मेनलाइन घटकों में शामिल हैं।

अवयव सीवीई
मीडिया कोडेक सीवीई-2022-130

2022-06-05 सुरक्षा पैच स्तर की भेद्यता विवरण

नीचे दिए गए अनुभागों में, हम 2022-06-05 पैच स्तर पर लागू होने वाली प्रत्येक सुरक्षा भेद्यता के लिए विवरण प्रदान करते हैं। कमजोरियों को उनके द्वारा प्रभावित घटक के अंतर्गत वर्गीकृत किया जाता है। समस्याओं को नीचे दी गई तालिका में वर्णित किया गया है और इसमें सीवीई आईडी, संबद्ध संदर्भ, भेद्यता का प्रकार , गंभीरता और अद्यतन एओएसपी संस्करण (जहां लागू हो) शामिल हैं। उपलब्ध होने पर, हम उस सार्वजनिक परिवर्तन को जोड़ते हैं जिसने समस्या को बग आईडी से संबोधित किया, जैसे AOSP परिवर्तन सूची। जब एक से अधिक परिवर्तन एक बग से संबंधित होते हैं, तो अतिरिक्त संदर्भ बग आईडी के बाद की संख्याओं से जुड़े होते हैं।

कर्नेल घटक

इस खंड में सबसे गंभीर भेद्यता विशेषाधिकार की स्थानीय वृद्धि का कारण बन सकती है, जिसमें अतिरिक्त निष्पादन विशेषाधिकारों की आवश्यकता नहीं है।

सीवीई संदर्भ टाइप तीव्रता अवयव
सीवीई-2021-4154 ए-218836280
अपस्ट्रीम कर्नेल
ईओपी उच्च गुठली
सीवीई-2022-20141 ए-112551163
अपस्ट्रीम कर्नेल
ईओपी उच्च इनसेट सॉकेट
सीवीई-2022-24958 ए-220261709
अपस्ट्रीम कर्नेल [ 2 ] [ 3 ] [ 4 ]
ईओपी उच्च यु एस बी
सीवीई-2022-25258 ए-222023189
अपस्ट्रीम कर्नेल [ 2 ]
ईओपी उच्च यु एस बी
सीवीई-2022-20132 ए-188677105
अपस्ट्रीम कर्नेल [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ 7 ]
पहचान उच्च यूएसबी छिपाई
सीवीई-2022-25375 ए-162326603
अपस्ट्रीम कर्नेल
पहचान उच्च आरएनडीआईएस चालक

मीडियाटेक घटक

यह भेद्यता मीडियाटेक घटकों को प्रभावित करती है और अधिक विवरण सीधे मीडियाटेक से उपलब्ध हैं। इस मुद्दे की गंभीरता का आकलन सीधे मीडियाटेक द्वारा प्रदान किया जाता है।

सीवीई संदर्भ तीव्रता अवयव
सीवीई-2022-21745
ए-228972609
एम-एएलपीएस06468872 *
उच्च वाईफ़ाई फर्मवेयर

यूनिसोक घटक

यह भेद्यता यूनिसोक घटकों को प्रभावित करती है और आगे के विवरण सीधे यूनिसोक से उपलब्ध हैं। इस मुद्दे की गंभीरता का आकलन सीधे यूनिसोक द्वारा प्रदान किया जाता है।

सीवीई संदर्भ तीव्रता अवयव
सीवीई-2022-20210
ए-228868888
अंडर-1770644 *
नाजुक मोडम

क्वालकॉम बंद-स्रोत घटक

ये कमजोरियां क्वालकॉम के क्लोज्ड-सोर्स घटकों को प्रभावित करती हैं और उपयुक्त क्वालकॉम सुरक्षा बुलेटिन या सुरक्षा अलर्ट में अधिक विस्तार से वर्णित हैं। इन मुद्दों की गंभीरता का आकलन सीधे क्वालकॉम द्वारा प्रदान किया जाता है।

सीवीई संदर्भ तीव्रता अवयव
सीवीई-2021-35083
ए-209481130 * उच्च बंद स्रोत घटक
सीवीई-2021-35102
ए-209469926 * उच्च बंद स्रोत घटक
सीवीई-2021-35111
ए-209469960 * उच्च बंद स्रोत घटक
सीवीई-2022-22082 ए-223211217 * उच्च बंद स्रोत घटक
सीवीई-2022-22083 ए-223210917 * उच्च बंद स्रोत घटक
सीवीई-2022-22084
ए-223209816 * उच्च बंद स्रोत घटक
सीवीई-2022-22085 ए-223209306 * उच्च बंद स्रोत घटक
सीवीई-2022-22086 ए-223211218 * उच्च बंद स्रोत घटक
सीवीई-2022-22087 ए-223209610 * उच्च बंद स्रोत घटक
सीवीई-2022-22090 ए-223210918 * उच्च बंद स्रोत घटक

सामान्य प्रश्न और उत्तर

यह खंड उन सामान्य प्रश्नों के उत्तर देता है जो इस बुलेटिन को पढ़ने के बाद उत्पन्न हो सकते हैं।

1. मैं कैसे निर्धारित करूं कि इन समस्याओं को दूर करने के लिए मेरा डिवाइस अपडेट किया गया है या नहीं?

किसी डिवाइस के सुरक्षा पैच स्तर की जांच करने का तरीका जानने के लिए, अपना Android संस्करण जांचें और अपडेट करें देखें.

  • 2022-06-01 या बाद के सुरक्षा पैच स्तर 2022-06-01 सुरक्षा पैच स्तर से जुड़े सभी मुद्दों को संबोधित करते हैं।
  • 2022-06-05 या बाद के सुरक्षा पैच स्तर 2022-06-05 सुरक्षा पैच स्तर और पिछले सभी पैच स्तरों से जुड़े सभी मुद्दों को संबोधित करते हैं।

इन अद्यतनों को शामिल करने वाले डिवाइस निर्माताओं को पैच स्ट्रिंग स्तर को इस पर सेट करना चाहिए:

  • [ro.build.version.security_patch]:[2022-06-01]
  • [ro.build.version.security_patch]:[2022-06-05]

Android 10 या उसके बाद के कुछ उपकरणों के लिए, Google Play सिस्टम अपडेट में दिनांक स्ट्रिंग होगी जो 2022-06-01 सुरक्षा पैच स्तर से मेल खाती है। सुरक्षा अद्यतन स्थापित करने के तरीके के बारे में अधिक विवरण के लिए कृपया यह आलेख देखें।

2. इस बुलेटिन में दो सुरक्षा पैच स्तर क्यों हैं?

इस बुलेटिन में दो सुरक्षा पैच स्तर हैं ताकि Android भागीदारों के पास कमजोरियों के एक सबसेट को ठीक करने की सुविधा हो जो सभी Android उपकरणों में अधिक तेज़ी से समान हो। Android भागीदारों को इस बुलेटिन में सभी समस्याओं को ठीक करने और नवीनतम सुरक्षा पैच स्तर का उपयोग करने के लिए प्रोत्साहित किया जाता है।

  • 2022-06-01 सुरक्षा पैच स्तर का उपयोग करने वाले उपकरणों में उस सुरक्षा पैच स्तर से जुड़े सभी मुद्दों के साथ-साथ पिछले सुरक्षा बुलेटिन में रिपोर्ट की गई सभी समस्याओं के समाधान शामिल होने चाहिए।
  • 2022-06-05 या नए के सुरक्षा पैच स्तर का उपयोग करने वाले उपकरणों में इस (और पिछले) सुरक्षा बुलेटिन में सभी लागू पैच शामिल होने चाहिए।

भागीदारों को उन सभी समस्याओं के समाधान को बंडल करने के लिए प्रोत्साहित किया जाता है जिन्हें वे एक ही अद्यतन में संबोधित कर रहे हैं।

3. टाइप कॉलम में प्रविष्टियों का क्या अर्थ है?

भेद्यता विवरण तालिका के प्रकार कॉलम में प्रविष्टियां सुरक्षा भेद्यता के वर्गीकरण का संदर्भ देती हैं।

संक्षेपाक्षर परिभाषा
आरसीई रिमोट कोड निष्पादन
ईओपी विशेषाधिकार का उन्नयन
पहचान जानकारी प्रकटीकरण
करने योग्य सेवा की मनाई
एन/ए वर्गीकरण उपलब्ध नहीं है

4. सन्दर्भ कॉलम में प्रविष्टियों का क्या अर्थ है?

भेद्यता विवरण तालिका के संदर्भ कॉलम के अंतर्गत प्रविष्टियों में उस संगठन की पहचान करने वाला एक उपसर्ग हो सकता है जिससे संदर्भ मान संबंधित है।

उपसर्ग संदर्भ
ए- एंड्रॉइड बग आईडी
क्यूसी- क्वालकॉम संदर्भ संख्या
एम- मीडियाटेक संदर्भ संख्या
एन- NVIDIA संदर्भ संख्या
बी- ब्रॉडकॉम संदर्भ संख्या
यू के आकार UNISOC संदर्भ संख्या

5. संदर्भ कॉलम में Android बग आईडी के आगे * का क्या अर्थ है?

जो समस्याएं सार्वजनिक रूप से उपलब्ध नहीं हैं उनमें संबंधित संदर्भ आईडी के आगे एक * होता है। उस समस्या के लिए अद्यतन आम तौर पर Google डेवलपर साइट से उपलब्ध पिक्सेल उपकरणों के लिए नवीनतम बाइनरी ड्राइवरों में निहित है।

6. सुरक्षा कमजोरियों को इस बुलेटिन और डिवाइस/पार्टनर सुरक्षा बुलेटिन, जैसे कि Pixel बुलेटिन के बीच क्यों विभाजित किया गया है?

इस सुरक्षा बुलेटिन में प्रलेखित सुरक्षा भेद्यताएं Android उपकरणों पर नवीनतम सुरक्षा पैच स्तर घोषित करने के लिए आवश्यक हैं। सुरक्षा पैच स्तर घोषित करने के लिए डिवाइस/पार्टनर सुरक्षा बुलेटिन में प्रलेखित अतिरिक्त सुरक्षा भेद्यताएं आवश्यक नहीं हैं। Android डिवाइस और चिपसेट निर्माता अपने उत्पादों के लिए विशिष्ट सुरक्षा भेद्यता विवरण भी प्रकाशित कर सकते हैं, जैसे Google , Huawei , LGE , Motorola , Nokia , या Samsung

संस्करणों

संस्करण दिनांक टिप्पणियाँ
1.0 6 जून 2022 बुलेटिन प्रकाशित
1.1 7 जून 2022 AOSP लिंक्स को शामिल करने के लिए संशोधित बुलेटिन
2.0 28 जून, 2022 संशोधित सीवीई तालिका
3.0 22 जुलाई 2022 संशोधित सीवीई तालिका
4.0 28 जुलाई 2022 संशोधित सीवीई तालिका